Permalink
Fetching contributors…
Cannot retrieve contributors at this time
385 lines (288 sloc) 10.4 KB
=== 2016-12-6
* Enhancements
* Upgraded Ruby 2.3 to 2.3.3
* Upgraded Ruby 2.2 to 2.2.6
* Upgraded OpenSSL to 1.0.2j
* Upgraded libffi to 3.2.1
* Upgraded LibYAML to 0.1.7
* Upgraded tcl & tk to 8.5.19
* Internal
* Retry timeouts with SourceForge
=== 2016-7-17
* Enhancements
* Upgraded Ruby 2.3 to 2.3.1
* Upgraded Ruby 2.2 to 2.2.5
* Upgraded Ruby 2.1 to 2.1.9
=== 2016-4-4
* Enchancements
* Added Ruby 2.3.0
=== 2016-2-3
* Enhancements:
* Upgraded Ruby 2.2 to 2.2.4
* Upgraded Ruby 2.1 to 2.1.8
* Upgraded Ruby 2.0.0 to 2.0.0-p648
* Upgraded rbreadline to v0.5.3
* Internal
* Change default DKVER to mingw64-32-4.7.2
* Change default task to ruby23
=== 2015-9-1
* Enhancements:
* Upgraded Ruby 2.2 to 2.2.3
* Upgraded Ruby 2.1 to 2.2.7
* Upgraded Ruby 2.0.0 to 2.0.0-p647
* Internal:
* Upgraded bash to 3.1.23-1
=== 2015-4-16
* Enhancements:
* Upgraded Ruby 2.0.0 to patchlevel 645
* Upgraded Ruby 2.1 to 2.1.6
* Upgraded Ruby 2.2 to 2.2.2
=== 2015-3-6
* Enhancements:
* Upgrade rbreadline to master branch (Temporarily)
=== 2015-3-5
* Enhancements:
* Upgraded Ruby 2.2 at version 2.2.1
* Upgraded OpenSSL to version 1.0.1l
* Internal:
* Changed OpenKnapsack packages URL to bintray
=== 2015-2-27
* Enhancements:
* Upgraded Ruby 2.0.0 to patchlevel 643
* Upgraded RubyGems to version 1.8.30
* Update README to be in Markdown format
* Internal
* x64-bit Ruby can now use Inno recipe
=== 2014-11-16
* Enhancements:
* Upgraded Ruby 2.1 to version 2.1.5
* Upgraded Ruby 2.0.0 to patchlevel 598
* Upgraded Ruby 1.9.3 to patchlevel 551
* Upgraded OpenSSL to version 1.0.0o
=== 2014-10-28
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 550
* Upgraded Ruby 2.0.0 to patchlevel 594
* Upgraded Ruby 2.1 to version 2.1.4
=== 2014-09-19
* Enhancements:
* Upgraded Ruby 2.1 to version 2.1.3
* Upgraded Ruby 2.0.0 to patchlevel 576
* Upgraded RubyGems to version 1.8.29
* Upgraded OpenSSL to version 1.0.0n
* Upgraded zlib to version 1.2.8
* Internal:
* Attempt to fix exception caused by proxy/redirect response missing
Content-Length information. Contribution by Enrique Perez-Terron.
=== 2014-05-11
* Enhancements:
* Upgraded Ruby 2.1 package to version 2.1.2
* Upgraded Ruby 2.0.0 to patchlevel 481
* Upgraded libyaml to version 0.1.6
=== 2014-02-25
* Enhancements:
* Upgraded Ruby 2.0.0 to patchlevel 451
* Upgraded Ruby 1.9.3 to patchlevel 545
* Upgraded rb-readline to 0.5.0 (compatible with Ruby 2.0)
* Upgraded OpenSSL to version 1.0.0l
* Upgraded libyaml to version 0.1.5
=== 2013-11-24
* Enhancements:
* Upgraded Ruby 2.0.0 to patchlevel 353
* Upgraded Ruby 1.9.3 to patchlevel 484
* Upgraded RubyGems to version 1.8.28
* Update mingwbuilds recipes for both 32 and 64bits (4.7.3 rev1)
* Internal:
* Add task to automate pushing releases to bintray.com
=== 2013-07-07
* Enhancements:
* Upgraded Ruby 1.8.7 to patchlevel 374
* Upgraded Ruby 1.9.3 to patchlevel 448
* Upgraded Ruby 2.0.0 to patchlevel 247
=== 2013-05-17
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 429
* Upgraded Ruby 2.0.0 to patchlevel 195
=== 2013-02-24 / Happy Birthday Ruby Edition!
* Enhancements:
* Upgraded Ruby 2.0.0 to patchlevel 0
* Upgraded rb-readline to 0.5.0.pre.1 (compatible with Ruby 2.0)
* Bugfixes:
* Generate documentation for target version of Ruby
=== 2013-02-22
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 392
* Upgraded OpenSSL to version 1.0.0k
=== 2013-02-07
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 385
=== 2013-01-17
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 374
=== 2012-12-25 / X-mas Edition
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 362
* Bugfixes:
* Fix Japanese support in the installer. #139 #142 [mame]
=== 2012-11-09
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 327
* Update mingwbuilds-32-4.7.2 to rev1
* Retire build support for mingw64-32-4.6.3 DevKit
* Add support for Ruby 2.0.0-preview1 (use NEXT option)
rake ruby19 NEXT=1
* Bugfixes:
* Disable Japanese support until changes to #139 are made
=== 2012-10-21
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 286
* Upgraded Ruby 1.8.7 to patchlevel 371
* Retire build support for mingw-32-4.5.2 DevKit
* Add MinGW-w64 v2.0.7 header/CRT update to mingw64-{34,64}-4.7.2
* Add tdm-32-4.7.1 and tdm-64-4.7.1 support
* Changed mingw64-32-4.7.2 to use i686-w64-mingw32-gcc-4.7.2-release-win32_rubenvb
* Add 64bits GCC 4.7.2 from mingw-w64 project (rubenvb builds)
* Added mingwbuilds-32-4.7.2 support
* Convert gdbm recipe to use Knapsack binaries
* Convert pdcurses recipe to use Knapsack binaries
* Convert tcl and tk recipes to use Knapsack binaries
* Bugfixes:
* Decreased file descriptors for 1.9.x to 2K. Closes #104 (again)
Ruby associates a file descriptor to a socket, so can't use more than
2048 FDs
* Internal:
* Upgraded mingwrt for tdm-32-4.6.1 and mingw-32-4.6.2
* Upgraded specific DevKit's to GDB version 7.5
* Correct typo in rdoc_chm installation message.
* Allow cleanup before make to satisfy CI environment.
Usage:
rake ruby19 CLEAN=1
=== 2012-06-29
* Enhancements:
* Upgraded Ruby 1.8.7 to patchlevel 370
* Add support for Japanese language installers.
* Enhance Inno scripts to enable multi-language installers.
* Upgraded documentation generator dependency (rdoc_chm) to 3.1.0. Closes #63
* Add mingw64-32-4.7.1 support (mingwbuilds 4.7.1 release)
* Correct mingw64 4.6.3 to latest stable release
* Upgraded RubyGems to 1.8.24 on all versions of Ruby
* Upgraded OpenSSL to version 1.0.0j
* Upgraded libffi to version 3.0.11
* Upgraded ZLib to version 1.2.7
* Upgraded Iconv to version 1.14
* Disable extra debug information from Ruby 1.9 builds (debugflags)
=== 2012-04-21
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 194
* Upgraded DevKit gdb to version 7.4 (no Python support)
* Upgraded RubyGems to 1.8.23 on all versions of Ruby
* Increased file descriptions for 1.9.x to 32K. Closes #104
* Upgraded OpenSSL to version 1.0.0h
* Cleanup:
* Removed support for non-functioning DevKit flavors
=== 2012-02-16
* Enhancements:
* Upgraded Ruby 1.9.3 to patchlevel 125
* Upgraded Ruby 1.8.7 to patchlevel 358
* Upgraded DevKit autoconf (and wrapper) to version 2.68
* Upgraded DevKit mintty to version 1.0.3
* Add mingw-32-4.6.2 toolchain support
* Upgraded OpenSSL to version 1.0.0g
* Upgraded DevKit MSYS libiconv (1.14-1) and libintl (0.18.1.1-1)
* Upgraded RubyGems to 1.8.16 on all versions of Ruby
* Upgraded DevKit binutils to version 2.22
* Upgraded DevKit gdb (and deps) to version 7.3.1
* Removed mingw-32-4.6.1 toolchain support
* Removed DevKit autoconf 2.13
* Add DevKit MSYS Korn Shell (mksh) implementation
=== 2011-12-28
* Enhancements:
* Upgraded Ruby 1.8.7 to patchlevel 357
* Add mingw64-32-4.6.3 toolchain support (ruben's 4.6.3-1 build)
* Upgraded rb-readline to version 0.4.2
* Upgraded Tcl/Tk to version 8.5.11
* Upgraded RubyGems to 1.8.12 on all versions of Ruby
* Upgraded DevKit mintty to version 1.0.2
=== 2011-10-31
* Enhancements:
* Add Ruby 1.9.3-p0 as default for `ruby19` task
* Upgraded rb-readline to version 0.4.1
* Upgraded DevKit mintty to version 1.0.1
* Upgraded DevKit binutils to version 2.21.53
* Upgraded DevKit gdb to version 7.3-2
* Upgraded libffi to version 3.0.10
* Upgraded DevKit mingwrt to 3.20
* Upgraded OpenSSL to version 1.0.0e
* Add GnuWin32 which.exe to relevant DevKit's
* Add tdm-32-4.6.1 toolchain support
* Add mingw-32-4.6.1 toolchain support
* Remove tdm-32-4.5.1, tdm-32-4.5.0, and tdm-64-4.5.1 toolchain support
* Bugfixes:
* Correct DevKit install path search behavior. GH-80
* Avoid forcing users to clone with autocrlf=false. GH-71, GH-78 and GH-84
* Correct extraction of SHA1 based tarballs
* No longer leak LDFLAGS into sandboxed rbconfig.rb. GH-85
=== 2011-07-15
* Enhancements:
* Upgraded Ruby 1.9.2 to patchlevel 290
* Upgraded libyaml to 0.1.4 in Ruby 1.9
=== 2011-07-12
* Enhancements:
* Upgraded Ruby 1.9.2 to patchlevel 180
* Upgraded Ruby 1.8.7 to patchlevel 352
* Upgraded RubyGems to 1.7.2 on all versions of Ruby
* Upgraded rb-readline to version 0.4.0
* Upgraded OpenSSL to 1.0.0d on all versions of Ruby
* Build Ruby using GCC 4.5.2 (TDM-1 release)
* Enable unsupported builds with 32-bit MinGW-w64
* Change from MIT license to Modified BSD License (3-clause)
* Add support for Tcl/Tk 8.5.10 in recipes, installers, and archives
* Bugfixes:
* Be specific about version of RDoc and RDoc CHM required. GH-58
* Deprecations:
* Installers now enforces Windows XP as minimum OS. GH-54
=== 2010-12-25
* Enhancements:
* Upgraded Ruby 1.8.7 to patchlevel 330
* Upgraded Ruby 1.9.2 to patchlevel 136
* Build all versions of Ruby using GCC 4.5.1 (TDM-1 release)
* Discourage users to attempt installing Ruby into Program Files. GH-34
=== 2010-08-18
* Enhancements:
* Upgraded Ruby 1.9.2 to final (p0)
* Speed up compilation process (reduce copy over copy)
* Usage of extracted devkit to compile everything
=== Final / 2010-06-06
* Enhancements:
* Installers now record version information in the registry [jonforums]
* Increase file descriptors for 1.8.x based compilations. Fixes #27465.
* Upgraded ZLib to 1.2.5
* Upgraded OpenSSL to 0.9.8n
* Upgraded RubyGems to 1.3.7
=== rc2 / 2010-02-07
* Enhancements:
* Improved silent installations [jonforums]
* Lowered privileges (high UAC will no longer prompt unless forced)
* Upgraded Ruby 1.9.1 to patchlevel 378.
* Upgraded Ruby 1.8.6 to patchlevel 398.
* Bugfixes:
* Modify and cleanup File associations properly for non-admins
=== rc1 / 2009-11-10
* Enhancements:
* Upgraded pure-ruby Readline to 0.2.0
* Bundle OpenSSL 0.9.8k in cooperative mode (MSVCRT build) [snaury]
* Installers now offer option to modify PATH [jonforums]
* Installers now register file association [jonforums]
* Installers that you can trust: shipping now signed
=== preview2 / 2009-08-16
* New features:
* Bundles Core and Standard Library documentation as CHM.
Feature Request #16782 [vertiginous]
* Bundles The Book of Ruby. Courtesy of Huw Collingbourne.
* Enhancements:
* Upgraded RubyGems version to 1.3.5
* Bugfixes:
* Installers no longer require admin rights. Fixes #26474
* Give priority to Ruby in the PATH. Fixes #26534
=== preview1 / 2009-06-28
* Released